# Display Components and Apps

One of the main design goals for Panel was that it should make it possible to seamlessly transition back and forth between interactively prototyping a dashboard in the notebook or on the commandline to deploying it as a standalone server app.

This guide will provide simple how-to guides on how to display panels interactively in a notebook or in your favorite editor environment.

::::{grid} 1 2 2 3
:gutter: 1 1 1 2

:::{grid-item-card} {octicon}`workflow;2.5em;sd-mr-1` Display output in notebooks
:link: notebook
:link-type: doc

How to display output in Jupyter and non-Jupyter based notebook environments.
:::

:::{grid-item-card} {octicon}`workflow;2.5em;sd-mr-1` Develop Apps in an Editor
:link: editor
:link-type: doc

How to rapidly develop a Panel application in your favorite IDE or editor.
:::

:::{grid-item-card} {octicon}`workflow;2.5em;sd-mr-1` Preview Apps in JupyterLab
:link: jupyterlab
:link-type: doc

How to use the Preview functionality in JupyterLab to rapidly develop applications.
:::

::::

```{toctree}
:titlesonly:
:hidden:
:maxdepth: 2

notebook
editor
jupyterlab
```
